//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//      Данный файл является частью Darkstar Engine. Любое использование кода файла
//      без согласия компании, является нарушением закона об авторском праве (в слу-
//      чае если не оговорено обратное).
//
//      Имя файла: memory_managment.hpp
//      Краткое описание: переопределение операторов new, delete, new[], delete[]
//
//   This file was coded by Zeux

#pragma once

typedef unsigned __int64 uint64_t;

namespace ker
{
	namespace MemoryManager
	{
		void outputLeaks(FILE* file);

		void getFrameStatistics(unsigned int& count, unsigned int& total_count);
		void getGlobalStatistics(uint64_t& count, size_t& size, uint64_t& total_count);
		void resetFrameStatistics();
	};
};
